## imcode.server.parser
Class SimpleElement

    java.lang.Object
      imcode.server.parser.SimpleElement

All Implemented Interfaces:
  Element, Node

    public class SimpleElement

extends java.lang.Object
implements Element

Field Summary

Fields inherited from interface imcode.server.parser.Node
`ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`SimpleElement(java.lang.String name, java.util.Properties attributes, java.util.List children)`

Method Summary
`java.util.Properties` `getAttributes()`
`Element` `getChildElement(java.lang.String name)`
`java.util.List` `getChildren()`
`java.lang.String` `getName()`
`short` `getNodeType()`
`java.lang.String` `getTextContent()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleElement

    public SimpleElement(java.lang.String name,
                         java.util.Properties attributes,
                         java.util.List children)

Method Detail

### getNodeType

    public short getNodeType()

  Specified by:
    `getNodeType` in interface `Node`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Element`
  Returns:
    The name of this element.

### getAttributes

    public java.util.Properties getAttributes()

  Specified by:
    `getAttributes` in interface `Element`
  Returns:
    A Properties containing the attributes of this element.

### getChildren

    public java.util.List getChildren()

  Specified by:
    `getChildren` in interface `Element`
  Returns:
    A List of Nodes below this Node.

### getChildElement

    public Element getChildElement(java.lang.String name)

  Specified by:
    `getChildElement` in interface `Element`
  Returns:
    The first child-element with the given name, or null.

### getTextContent

    public java.lang.String getTextContent()

  Specified by:
    `getTextContent` in interface `Element`
  Returns:
    The plain text-content of this element and all child-elements, without tags.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`